## org.apache.felix.httplite.servlet
Class ConcreteServletInputStream

    java.lang.Object
      java.io.InputStream
          javax.servlet.ServletInputStream
              org.apache.felix.httplite.servlet.ConcreteServletInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class ConcreteServletInputStream

extends javax.servlet.ServletInputStream

Simple utility input stream class that provides a method for reading a line of characters, where a "line" is leniently defined as anything ending in '\n' or '\r\n'. Extends ServletInputStream

Constructor Summary
`ConcreteServletInputStream(java.io.InputStream is)`

Method Summary
`int` `available()`
`void` `close()`
`void` `mark(int readlimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`java.lang.String` `readLine()`
`void` `reset()`
`long` `skip(long n)`

Methods inherited from class javax.servlet.ServletInputStream
`readLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcreteServletInputStream

    public ConcreteServletInputStream(java.io.InputStream is)

Parameters:
  `is` - InputStream

Method Detail

### available

    public int available()
                  throws java.io.IOException

  Overrides:
    `available` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### mark

    public void mark(int readlimit)

  Overrides:
    `mark` in class `java.io.InputStream`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `java.io.InputStream`

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### readLine

    public java.lang.String readLine()
                              throws java.io.IOException

  Returns:
    The next line in the input stream or null for EOF
  Throws:
    `java.io.IOException` - on I/O error

### reset

    public void reset()
               throws java.io.IOException

  Overrides:
    `reset` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### skip

    public long skip(long n)
              throws java.io.IOException

  Overrides:
    `skip` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

Copyright © 2006-2012 The Apache Software Foundation. All Rights Reserved.